use yew::prelude::*;

#[function_component]
fn App() -> Html {
    let counter = use_state(|| 283870u64);
    let onclick = {
        let counter = counter.clone();
        move |_| {
            let value = (*counter * 989_909) % 1_212_149;
            counter.set(value);
        }
    };

    html! {
        <div>
            <h3>{ "Pseudo Random Generator" }</h3>
            <button {onclick}>{ "next" }</button>
            <p>{ *counter }</p>
        </div>
    }
}

fn main() {
    yew::Renderer::<App>::new().render();
}
